CUPTI (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.33. CUpti_EventGroupSet Struct Reference

## [CUPTI Event API]

A set of event groups. When returned by cuptiEventGroupSetsCreate and cuptiMetricCreateEventGroupSets a set indicates that event groups that can be enabled at the same time (i.e. all the events in the set can be collected simultaneously).

### Public Variables

CUpti_EventGroup* * eventGroups
uint32_t numEventGroups

### Variables

CUpti_EventGroup* * CUpti_EventGroupSet::eventGroups [inherited]

  An array of `numEventGroups` event groups.

uint32_t CUpti_EventGroupSet::numEventGroups [inherited]

  The number of event groups in the set.